%define momorel 1
%define src_date 051026
%define doc_date 051020

Name:           tidy
Version:        0.20%{src_date}
Release: %{momorel}m%{?dist}
Summary:        Utility to clean up and pretty print HTML/XHTML/XML

Group:          Applications/Text
License:        BSD
URL:            http://tidy.sourceforge.net/
%NoSource 0     http://tidy.sourceforge.net/src/tidy_src_%{src_date}.tgz 1e39fafd6808978871346658c8da1454
%NoSource 1     http://tidy.sourceforge.net/docs/tidy_docs_%{doc_date}.tgz 86de2f198e57399c063d2567b2a25628
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  libtool, doxygen, libxslt

%description
When editing HTML it's easy to make mistakes. Wouldn't it be nice if
there was a simple way to fix these mistakes automatically and tidy up
sloppy editing into nicely layed out markup? Well now there is! Dave
Raggett's HTML TIDY is a free utility for doing just that. It also
works great on the atrociously hard to read markup generated by
specialized HTML editors and conversion tools, and can help you
identify where you need to pay further attention on making your pages
more accessible to people with disabilities.

%package     -n lib%{name}
Summary:        Shared libraries for tidy
Group:          System Environment/Libraries

%description -n lib%{name}
%{summary}.

%package     -n lib%{name}-devel
Summary:        Development files for tidy
Group:          Development/Libraries
Requires:       lib%{name} = %{version}-%{release}

%description -n lib%{name}-devel
%{summary}.


%prep
%setup -q -n %{name}
%setup -q -n %{name} -T -D -b1
rm -rf htmldoc/api
mv htmldoc/doxygen.cfg Doxyfile



%build
export SUPPORT_ACCESSIBILITY_CHECKS=1
export SUPPORT_UTF16_ENCODINGS=1
export SUPPORT_ASIAN_ENCODINGS=1
export SUPPORT_ACCESSIBILITY_CHECKS=1
sh build/gnuauto/setup.sh
%configure
make %{?_smp_mflags}
doxygen

### create man page
pushd htmldoc
  ../console/tidy -xml-help > tidy-help.xml
  ../console/tidy -xml-config > tidy-config.xml
  /usr/bin/xsltproc tidy1.xsl tidy-help.xml > tidy.1
popd

%install
### tidy binary
make install DESTDIR=$RPM_BUILD_ROOT
### documents
%{__install} -Dm 644 htmldoc/tidy.1 %{buildroot}%{_mandir}/man1/tidy.1
%{__mv} -f htmldoc/api api
%{__mkdir_p} %{buildroot}%{_defaultdocdir}/%{name}-%{version}/api
%{__install} -m644 htmldoc/*.* %{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__install} -m644 api/* %{buildroot}%{_defaultdocdir}/%{name}-%{version}/api
%{__mkdir_p} %{buildroot}%{_datadir}/config-sample/%{name}
%{__install} -m644 %{SOURCE1}  %{buildroot}%{_datadir}/config-sample/%{name}/dot.tidyrc


%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}


%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc htmldoc/*
%{_bindir}/tidy
%{_bindir}/tab2space
%dir %{_datadir}/config-sample/%{name}
%{_datadir}/config-sample/%{name}/dot.tidyrc
%{_mandir}/man1/tidy.1*

%files -n lib%{name}
%defattr(-,root,root,-)
%{_libdir}/libtidy*.so.*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%doc api/*
%{_includedir}/*.h
%{_libdir}/libtidy.so
%{_libdir}/libtidy.a
%exclude %{_libdir}/libtidy.la



%changelog
* Tue Nov 29 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20051026-1m)
- update to 20051026

* Sat Oct 9 2004 Yasuo Ohgaki <yohgaki@ohgaki.net>
- forgot to delete epoch again. kossori.

* Sat Oct 9 2004 Yasuo Ohgaki <yohgaki@ohgaki.net>
- forgot to delete epoch. kossori.

* Sat Oct 9 2004 Yasuo Ohgaki <yohgaki@ohgaki.net>
- (0.20040811-1m)
- import FC1 spec and upgrade to 20040811
- added "0." to version number when version 1 release is ready
- added libtidy, libtidy-devel subpackages

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (20030205-5m)
- revised spec for rpm 4.2.

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (20030205-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Feb  9 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (20030205-3m)
- add some make options.

* Sat Feb  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (20030205-2m)
  Fix build problem

* Fri Feb  7 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (20030205-1m)
- updated upstream latest source code. (last updated on 2003-02-05)

* Tue Aug 13 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (4.00-1m)
- import
